.disabled {
  opacity: 0.5;
  pointer-events: none;
}

/* -------------------- Navigator -------------------- */

/* Bread crumb */

.breadCrumb {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
}

.breadCrumb li {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
}

.breadCrumb.arrow li::after {
  display: block;
  content: "";
  background: url(../assets/icon/Basic_Icon/Breadcrumb_arrow.svg) center
    no-repeat;
  width: 1rem;
  height: 1rem;
}

.breadCrumb li:first-child a {
  margin-top: 0;
}

.breadCrumb li a {
  margin-top: 0.1875rem;
  color: var(--Greyscale6);
  font-size: 0.9375rem;
  font-weight: 400;
}

.breadCrumb li a.home {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.125rem;
}

.breadCrumb li:last-child::after {
  content: none !important;
}

.breadCrumb li:last-child a {
  color: var(--Greyscale7);
  font-weight: 700;
}

.breadCrumb.slash li::after {
  display: block;
  content: "/";
  color: var(--Greyscale6);
  font-size: 1.1875rem;
}

.breadCrumb.select {
  gap: 0;
}

.breadCrumb.select li .dropdown {
  min-width: auto;
}

.breadCrumb.select li .dropdown a.dropdownBtn {
  background: transparent;
  border: none;
  border-radius: 0;
}

.breadCrumb.select li .dropdown a.dropdownBtn span,
.breadCrumb.select li .dropdown a.dropdownBtn img.arrow {
  padding: 0 0.5rem;
}

.breadCrumb li .dropdown .dropdownCon {
  top: 1.5625rem;
}

.breadCrumb li:last-child .dropdown .dropdownCon a {
  width: 100%;
  font-weight: 400;
}

/* Pagination */

.pagination {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.pagination > li img {
  display: block;
}

.pagination > li a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.5rem;
  height: 1.5rem;
  color: var(--Greyscale6);
  font-size: 1rem;
}

.pagination > li > ul {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
}

.pagination.bLine > li > ul .num {
  position: relative;
}

.pagination.bLine > li > ul .num.active::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -0.125rem;
  width: 100%;
  height: 0.125rem;
  background: var(--Greyscale9);
}

.pagination > li > ul .num.active a {
  color: var(--Primary1);
  font-weight: 500;
}

.pagination.grayBg > li {
  background: var(--Greyscale2);
  border-radius: 3.125rem;
}

.pagination.grayBg > li.page {
  padding: 0 0.5rem;
}

.pagination.grayBg > li > ul .num.active {
  background: var(--Primary1);
  border-radius: 3.125rem;
}

.pagination.grayBg > li > ul .num.active a {
  color: #fff;
}

.pagination.slash > li > ul .num {
  display: flex;
}

.pagination.slash > li > ul .num:not(:last-child)::after {
  margin-left: 0.5rem;
  content: "/";
  font-size: 1.1875rem;
}

/* -------------------- Navigator end -------------------- */

/* -------------------- Form -------------------- */

/* Button */

.btn {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 1.25rem;

  padding: 0.5rem 1rem;
  color: #fff;
  font-size: 1rem;
  background: var(--Primary1);
  border-radius: 0.25rem;
  cursor: pointer;
  box-sizing: border-box;
}

.btn.sub {
  color: #fff;
  background: var(--Primary2);
  border: 0.0625rem solid var(--Primary2);
}

.btn.line {
  color: var(--Greyscale8);
  background: #fff;
  border: 0.0625rem solid var(--Greyscale4);
}

.btn.line.disabled {
  color: var(--Greyscale6);
}

.btn.gray {
  color: var(--Greyscale8);
  background: var(--Greyscale3);
  border: 0.0625rem solid var(--Greyscale3);
}

.btn.dark {
  color: #fff;
  background: var(--Greyscale7);
  border: 0.0625rem solid var(--Greyscale7);
}

.btn.btn.trans {
  color: var(--Primary1);
  background: transparent;
}

.btn.btn.danger {
  background: var(--Error);
}

.btn.IconBtn {
  padding: 0.5rem;
}

.btn.sm {
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
}

/* Text input */

.inputField {
  position: relative;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 0.25rem;
}

input {
  width: 100%;
  background: #fff;
  box-sizing: border-box;
}

input[type="text"],
input[type="password"],
input[type="file"],
input[type="number"] {
  padding: 0.625rem 1rem;
  color: var(--Greyscale9);
  font-size: 1rem;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
}

input[type="text"]:focus,
input[type="text"]:focus-visible,
input[type="password"]:focus,
input[type="password"]:focus-visible,
input[type="file"]:focus,
input[type="file"]:focus-visible,
input[type="number"]:focus,
input[type="number"]:focus-visible {
  outline: 0.0625rem solid var(--Primary1);
}

input::placeholder {
  color: var(--Greyscale5);
}

input.line {
  background: transparent;
  border: none;
  border-bottom: 0.0625rem solid var(--Greyscale6);
  border-radius: 0;
}

input:focus,
input:focus-visible {
  outline: 0;
}

input.line:focus,
input.line:focus-visible {
  border-bottom: 0.0625rem solid var(--Primary1);
  box-shadow: 0 0.0625rem 0 0 var(--Primary1);
  outline: none;
}

.inputField.error input {
  padding: 0.625rem 3.25rem 0.625rem 1rem;
  background-image: url(../assets/icon/Basic_Icon/Input_warning.svg);
  background-repeat: no-repeat;
  background-position: 98% 50%;
  outline: 0.0625rem solid var(--Error);
}

.inputField.error input.line {
  border-bottom: 0.0625rem solid var(--Error);
  box-shadow: 0 0.0625rem 0 0 var(--Error);
  outline: none;
}

.inputField span.helperText {
  position: absolute;
  bottom: -1.125rem;
  left: 1rem;
  display: block;
  color: var(--Greyscale6);
  font-size: 0.6875rem;
}

.inputField.error span.helperText {
  color: var(--Error);
}

input.disabled {
  background: var(--Greyscale3);
}

p.titTxt {
  color: var(--Greyscale6);
  font-size: 0.875rem;
}

.inputField.movePlace {
  position: relative;
}

.inputField.movePlace > .labelPlace {
  position: absolute;
  top: 0.625rem;
  left: 1rem;
  transition: ease all 0.3s;
  pointer-events: none;
}

.inputField.movePlace > input:focus ~ .labelPlace,
.inputField.movePlace > input:not(:focus):valid ~ .labelPlace {
  top: -1.125rem;
  bottom: 0;
  left: 0;
  color: var(--Primary1);
  font-size: 0.875rem;
}

.passwordField.passwordField {
  position: relative;
}

.passwordField.passwordField input {
  padding: 0.625rem 3.25rem 0.625rem 1rem;
}

.passwordField.passwordField .pwView {
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
  width: 1.5rem;
  height: 1.5rem;
  background: url(../assets/icon/Basic_Icon/Input_eye_off.svg) no-repeat center
    100%;
  cursor: pointer;
}

.passwordField.passwordField .pwView_on {
  background: url(../assets/icon/Basic_Icon/Input_eye_on.svg);
}

/* Search input */

.searchBox {
  position: relative;
  width: 100%;
}

.searchBox > input {
  padding: 0.625rem 3.25rem 0.625rem 1rem;
}

.searchBox > a {
  display: block;
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
}

.searchBox.front > input {
  padding: 0.625rem 1rem 0.625rem 3.25rem;
}

.searchBox.front > a {
  display: block;
  position: absolute;
  top: 50%;
  left: 1rem;
  transform: translateY(-50%);
  width: fit-content;
}

form.searchForm {
  position: relative;
}

input.searchTxt {
  position: relative;
  padding: 0.625rem 0 0.625rem 2.6875rem;
  width: 2.8125rem;
  height: 2.8125rem;
  color: var(--Greyscale9);
  font-size: 1rem;
  border-radius: 3.125rem;
  border: 0.0625rem solid var(--Greyscale6);
  background: url(../assets/icon/Basic_Icon/Input_search_back.svg) no-repeat
    left 0.5625rem center #fff;
  background-size: 1.5rem;
  cursor: pointer;
  transition: width 0.5s, background 0.3s ease, border 0.3s, z-index 0.8s;
  z-index: 1;
  box-sizing: border-box;
}

input.searchTxt:focus,
input.searchTxt:focus-visible {
  padding: 0.625rem 2.6875rem 0.625rem 1rem;
  width: 18.75rem;
  background: #fff;
  outline: 0.125rem solid var(--Primary1);
  cursor: auto;
}

a.searchBtn {
  display: none;
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
  background: none;
  cursor: pointer;
  z-index: 4;
}

input.searchTxt:focus ~ a.searchBtn,
input.searchTxt:focus-visible ~ a.searchBtn {
  display: block;
}

input.searchTxt::-webkit-search-cancel-button {
  display: none;
}

/* Number input */

.inputField.numberBox input[type="number"]::-webkit-outer-spin-button,
.inputField.numberBox input[type="number"]::-webkit-inner-spin-button {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
}

.inputField.numberBox {
  position: relative;
}

.inputField.numberBox input[type="number"] {
  padding: 0.625rem 6rem 0.625rem 1rem;
}

.inputField.numberBox .updownBtn {
  position: absolute;
  right: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 100%;
}

.inputField.numberBox .updownBtn button {
  flex-shrink: 0;
  height: 100%;
  border-left: 0.0625rem solid var(--Greyscale5);
  cursor: pointer;
}

.inputField.numberBox input.line ~ .updownBtn > button {
  border-left: 0;
}

/* Check box */

.labelTxt {
  margin: 0.5rem 0;
  color: var(--Greyscale6);
  font-size: 0.875rem;
}

fieldset {
  display: flex;
  align-items: center;
  justify-content: start;
  gap: 0.5rem;
}

input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  position: relative;
  width: 1.25rem;
  height: 1.25rem;
  background: #fff;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
  cursor: pointer;
}

input[type="checkbox"]:focus,
input[type="checkbox"]:focus-visible {
  outline: 0.125rem solid #000;
}

input[type="checkbox"]:checked {
  background-color: var(--Primary1);
  border: 0.0625rem solid var(--Primary1);
}

input[type="checkbox"]::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 15px;
  height: 15px;
  color: #fff;
  background: url(../assets/Icon/Basic_Icon/Check_Icon.svg) no-repeat center;
}

input[type="checkbox"].circle {
  border-radius: 50%;
}

.chkBox.rowBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.25rem;
}

.chkBox.colBox {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 0.5rem;
}

.chkBox.rowBox,
.chkBox.colBox {
  margin-top: 0;
}

/* Radio button */

input[type="radio"] {
  appearance: none;
  outline: 0.0625rem solid var(--Greyscale6);
  border-radius: 50%;
  width: 1.25rem;
  height: 1.25rem;
  background-color: #fff;
  box-sizing: border-box;
  cursor: pointer;
}

input[type="radio"]:focus,
input[type="radio"]:focus-visible {
  outline: 0.125rem solid #000;
}

input[type="radio"]:checked {
  border: 0.25rem solid #fff;
  background-color: var(--Primary1);
}

input[type="radio"].square {
  border-radius: 0.25rem;
}

/* Toggle/Switch */

.switchWrap input[type="checkbox"] {
  position: relative;
  appearance: none;
  width: 3rem;
  height: 1.5rem;
  background: var(--Greyscale5);
  border-radius: 3.125rem;
  border: none;
  cursor: pointer;
}

.switchWrap input[type="checkbox"]::before {
  position: absolute;
  content: "";
  top: 0.125rem;
  left: 0.0625rem;
  width: 1.25rem;
  height: 1.25rem;
  background: #fff;
  border-radius: 50%;
  transition: left 0.2s linear;
  transform: scale(1);
}

.switchWrap input[type="checkbox"]:checked {
  background: var(--Primary1);
}

.switchWrap input[type="checkbox"]:checked::before {
  left: 1.625rem;
}

.switchWrap.lineTrack input[type="checkbox"] {
  position: relative;
  appearance: none;
  width: 3rem;
  height: 0.875rem;
  background: var(--Greyscale5);
  border-radius: 0.4375rem;
}

.switchWrap.lineTrack input[type="checkbox"]::before {
  position: absolute;
  content: "";
  top: -0.3125rem;
  left: -0.0625rem;
  width: 1.5rem;
  height: 1.5rem;
  background: var(--Greyscale3);
  border-radius: 50%;
  transition: left 0.2s linear;
}

.switchWrap.lineTrack input[type="checkbox"]:checked {
  background: var(--Primary-light);
}

.switchWrap.lineTrack input[type="checkbox"]:checked::before {
  left: calc(100% - 1.4375rem);
  background: var(--Primary1);
}

.switchWrap.textTrack {
  display: flex;
  width: 4.125rem;
  align-items: center;
}

.switchWrap.textTrack label {
  display: block;
  position: relative;
  width: 4.125rem;
  height: 1.75rem;
  background: var(--Primary-light);
  border-radius: 0.3125rem;
  transition: background 0.4s;
}

.switchWrap.textTrack label::after {
  content: "";
  position: absolute;
  left: 0px;
  top: 0px;
  width: 2.0625rem;
  height: 1.75rem;
  border-radius: 0.3125rem;
  background-color: var(--Primary1);
  transition: all 0.4s;
}

.switchWrap.textTrack label::before {
  content: "Y";
  width: 2.0625rem;
  height: 1.75rem;
  font-size: 0.875rem;
  line-height: 1.75rem;
  position: absolute;
  left: 0px;
  top: 0;
  transition: all 0.4s;
  color: #fff;
  text-align: center;
  z-index: 1;
}

.switchWrap.textTrack input[type="checkbox"]:checked + label {
  background: var(--Greyscale3);
}

.switchWrap.textTrack input[type="checkbox"]:checked + label::after {
  left: 2.0625rem;
  background-color: var(--Greyscale6);
}

.switchWrap.textTrack input[type="checkbox"]:checked + label::before {
  content: "N";
  color: #fff;
  left: 2.0625rem;
}

/* Select */

.selectBox {
  outline: none;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  cursor: pointer;
}

.selectBox::-ms-expand {
  display: none;
}

/* Selectric Custom */
.selectric-wrapper {
  min-width: 15.625rem;
}

.selectric {
  font-size: 1rem;
  background: #fff;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
}

.selectric .label {
  margin: 0;
  padding: 0.625rem 2.1875rem 0.625rem 1rem;
  height: unset;
  font-size: 1rem;
  line-height: unset;
}

.selectric-hover .selectric {
  border: 0.0625rem solid var(--Greyscale6);
}

.selectric-focus .selectric {
  border-radius: 0.25rem;
  outline: 0.0625rem solid var(--Primary1);
}

.selectric .button {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  color: transparent;
  background-color: inherit;
  background-image: url(../assets/icon/Basic_Icon/Select_arrow.svg);
  background-repeat: no-repeat;
  background-position: 50% 50%;
  transition: all 0.3s;
}

.selectric .button:after {
  border: transparent;
}

.selectric-hover .selectric .button {
  color: transparent;
}

.selectric-hover .selectric .button::after {
  border-top-color: inherit;
}

.selectric-focus .selectric .button,
.selectric-open .selertric .button,
.selectric-focus .selectric .button::after,
.selectric-open .selertric .button::after {
  transform: rotate(180deg);
}

.selectric-items {
  background: #fff;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
}

.selectric-items li {
  padding: 0.5rem 1rem;
  font-size: 1rem;
}

.selectric-items li:hover {
  background: var(--Primary-light);
}

.selectric-items li.highlighted {
  color: #fff;
  background: var(--Primary1);
}

/* Date picker */

.DatePicker {
  position: relative;
  width: 100%;
  box-sizing: border-box;
}

.DatePicker > input {
  padding: 0.625rem 3.25rem 0.625rem 1rem;
  font-size: 1rem;
  width: 100%;
  background: #fff;
  border-radius: 0.5rem;
  border: 0.0625rem solid var(--Greyscale6);
}

.DatePicker > input.datePickerInput::placeholder {
  color: var(--Greyscale5);
  font-size: 1rem;
}

.DatePicker button.inputButton {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 1rem;
}

.DatePicker > .inputButton {
  width: 1.5rem;
  height: 1.5rem;
  cursor: pointer;
}

/* Datepicker-flatpickr Custom */
.flatpickr-calendar.arrowTop:before,
.flatpickr-calendar.arrowTop:after {
  content: none;
}

.flatpickr-calendar .flatpickr-months {
  padding-bottom: 0.9375rem;
}

.flatpickr-calendar .flatpickr-current-month {
  padding-top: 0.3125rem;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: center;
  color: var(--Primary1);
  font-size: 1.125rem;
}

.flatpickr-calendar .flatpickr-months .flatpickr-prev-month,
.flatpickr-calendar .flatpickr-months .flatpickr-next-month {
  top: 0;
  height: unset;
}

.flatpickr-calendar .flatpickr-months .flatpickr-prev-month {
  margin-left: 0.9375rem;
}

.flatpickr-calendar .flatpickr-months .flatpickr-next-month {
  margin-right: 0.9375rem;
}

.flatpickr-calendar .flatpickr-current-month > .numInputWrapper span.arrowUp,
.flatpickr-calendar .flatpickr-current-month > .numInputWrapper span.arrowDown {
  display: none;
}

.flatpickr-calendar .flatpickr-months .flatpickr-prev-month svg,
.flatpickr-calendar .flatpickr-months .flatpickr-next-month svg {
  width: 1.25rem;
  height: 1.25rem;
  fill: var(--Primary1);
}

.flatpickr-calendar .flatpickr-day.today {
  border: 0.0625rem solid var(--Primary1);
}

.flatpickr-calendar .flatpickr-day.today:hover,
.flatpickr-calendar .flatpickr-day.today:focus,
.flatpickr-day.selected.startRange,
.flatpickr-day.startRange.startRange,
.flatpickr-day.endRange.endRange {
  background: var(--Primary1);
  border: 0.0625rem solid var(--Primary1);
}

.flatpickr-day.selected {
  background: var(--Primary1);
  border-color: var(--Primary1);
}

.flatpickr-day.selected:hover {
  background: var(--Primary-light);
  border-color: var(--Primary-light);
}

.flatpickr-day.inRange {
  background: var(--Primary-light);
}

/* Time picker */

.timePicker {
  position: relative;
  width: 100%;
  box-sizing: border-box;
  cursor: pointer;
}

.timePicker > input {
  padding: 0.625rem 3.25rem 0.625rem 1rem;
  font-size: 1rem;
  width: 100%;
  background: #fff;
  border-radius: 0.5rem;
  border: 0.0625rem solid var(--Greyscale6);
}

.timePicker button.inputButton {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 1rem;
}

.timePicker > .inputButton {
  width: 1.5rem;
  height: 1.5rem;
  cursor: pointer;
}

/* Timepicker-flatpickr Custom */
.flatpickr-calendar.hasTime {
  width: auto;
}

.flatpickr-time {
  padding: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.9375rem;
  line-height: unset;
  max-height: unset;
  outline: 0.0625rem solid var(--Primary1);
  border-radius: 0.25rem;
}

.flatpickr-time .numInputWrapper input {
  padding: 0.5rem 0.9375rem;
  border: none;
}

.flatpickr-time .numInputWrapper:hover,
.flatpickr-time input:hover,
.flatpickr-time .flatpickr-am-pm:hover,
.flatpickr-time input:focus,
.flatpickr-time .flatpickr-am-pm:focus {
  background: none;
}

.flatpickr-time .numInputWrapper > span {
  padding: 0;
  border: none;
  opacity: 1;
}

.flatpickr-time .numInputWrapper > span:hover {
  background: none;
}

.flatpickr-time .numInputWrapper > span.arrowUp:after {
  top: 0;
  width: 1rem;
  height: 1rem;
  border: none;
  background-image: url(../assets/icon/Basic_Icon/Timepicker_arrow_up.svg);
  background-repeat: no-repeat;
  background-position: 50% 50%;
}

.flatpickr-time .numInputWrapper > span.arrowDown:after {
  top: 0;
  width: 1rem;
  height: 1rem;
  border: none;
  background-image: url(../assets/icon/Basic_Icon/Timepicker_arrow_down.svg);
  background-repeat: no-repeat;
  background-position: 50% 50%;
}

.flatpickr-time .flatpickr-am-pm {
  line-height: 2.5rem;
}

.timePicker > input.flatpicker-input::placeholder {
  color: var(--Greyscale5);
  font-size: 1rem;
}

/* File uploader */

.fileBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
  width: 100%;
  font-size: 1rem;
  margin-bottom: 10px;
}
.fileBox:last-child {
  margin-bottom: 0px;
}
/* input[type="file"] {
  position: relative;
  padding: 0.625rem 9rem 0.625rem 1rem;
  font-size: 1rem;
}

input[type="file"]::file-selector-button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 2.0625rem;
  position: absolute;
  top: 0;
  right: 0;
  margin: 0;
  height: 100%;
  color: #fff;
  font-size: 1rem;
  background: var(--Primary1);
  border: 0.0625rem solid var(--Primary1);
}

.fileBox input.fileItem {
  padding: 0.625rem 1rem;
}

.fileBox input.fileItem::file-selector-button {
  display: none;
}

.fileBox input[type="file"]::placeholder {
  color: var(--Grayscale4);
  font-size: 1rem;
}

.fileBox > label {
  padding: 0.625rem 2.0625rem;
  color: #fff;
  font-size: 1rem;
  background: var(--Primary1);
  border: 0.0625rem solid var(--Primary1);
  border-radius: 0.25rem;
  flex-shrink: 0;
}

.fileBox span {
  color: red;
} */

.fileBox > label {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem;
  width: 100%;
  font-size: 0;
  cursor: pointer;
}

input[type="file"] {
  position: absolute;
  margin: -1px;
  width: 0.0625rem;
  height: 0.0625rem;
  font-size: initial;
  overflow: hidden;
  clip: rect(0 0 0 0);
}

.fileName {
  flex-grow: 1;
  display: inline-block;
  padding: 0.625rem 1rem;
  width: 100%;
  color: var(--Greyscale9);
  font-size: 1rem;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  background: #fff;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
}

.fileBtn {
  flex-shrink: 0;
  padding: 0.625rem 1rem;
  width: 7.5rem;
  color: #fff;
  font-size: 1rem;
  font-weight: 500;
  text-align: center;
  background: var(--Primary1);
  border: 0.0625rem solid var(--Primary1);
  border-radius: 0.25rem;
}

.fileBox.inLine > label {
  gap: 0;
  border: 1px solid var(--Greyscale6);
  border-radius: 0.25rem;
}

.fileBox.inLine .fileName {
  border: none;
}

.fileBox.inLine .fileBtn {
  border-radius: 0 0.25rem 0.25rem 0;
}

/* Textarea */

textarea {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
  padding: 0.625rem 1rem;
  width: 100%;
  height: 12.5rem;
  font-size: 1rem;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
  overflow-y: auto;
  box-sizing: border-box;
}

textarea::placeholder {
  color: var(--Greyscale5);
}

textarea:focus,
textarea:focus-visible {
  outline: 0.0625rem solid var(--Primary1);
}

textarea.line {
  background: transparent;
  border: none;
  border-bottom: 0.0625rem solid var(--Greyscale6);
  border-radius: 0;
}

textarea.line:focus,
textarea.line:focus-visible {
  border-bottom: 0.0625rem solid var(--Primary1);
  box-shadow: 0 0.0625rem 0 0 var(--Primary1);
  outline: none;
}

/* -------------------- Form end -------------------- */

/* -------------------- Dropdown -------------------- */

.dropdown {
  position: relative;
  display: inline-block;
  width: auto;
  min-width: 15.625rem;
}

.dropdown a.dropdownBtn {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background: #fff;
  border: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
}

.dropdown a.dropdownBtn span {
  flex-grow: 1;
  padding: 0.625rem 1rem;
  color: var(--Greyscale9);
  font-size: 1rem;
}

.dropdown .dropdownCon {
  display: none;
  position: absolute;
  top: 3.0625rem;
  left: 0;
  width: 100%;
  background: #fff;
  border-radius: 0.25rem;
  box-shadow: 0px 0px 0.25rem 0px rgba(95, 95, 95, 0.2);
  z-index: 1;
  box-sizing: border-box;
}

.dropdown .dropdownCon a {
  display: block;
  padding: 0.5rem 1rem;
  color: var(--Greyscale8);
  box-sizing: border-box;
}

.dropdown .dropdownCon a:hover {
  background: var(--Primary-light);
}

.dropdown.show a.dropdownBtn {
  outline: 0.0625rem solid var(--Primary1);
}

.dropdown.show .dropdownCon {
  display: block;
}

.breadCrumb.select li .dropdown .dropdownBtn > img.arrow {
  padding: 0 0.75rem;
  transition: all 0.3s;
}

.dropdown.show .dropdownBtn > img.arrow {
  transform: rotate(180deg);
}

.dropdown.kebab a.dropdownBtn {
  max-width: fit-content;
  background: transparent;
  border: none;
}

.dropdown.kebab .dropdownCon {
  top: 2.375rem;
  min-width: 15.625rem;
  background: var(--Greyscale0);
}

.dropdownBox {
  display: flex;
  flex-direction: column;
  align-items: start;
  background: var(--Greyscale0);
}

.dropdownBox .dropdown.front a.dropdownBtn {
  background: transparent;
  border: none;
}

.dropdownBox .front a.dropdownBtn > span {
  padding-left: 0;
}

.dropdownBox .front a.dropdownBtn > img.arrowCh {
  padding: 0 0.75rem;
  transition: all 0.3s;
}

.dropdownBox .front.show a.dropdownBtn > img.arrowCh {
  transform: rotate(90deg);
}

.dropdownBox .dropdown.front .dropdownCon {
  position: unset;
  background: transparent;
  box-shadow: none;
}

.dropdownBox .dropdown.front .dropdownCon a {
  padding-left: 2.5rem;
}

.dropdownBox .dropdown.front .dropdownCon .depth2 {
  position: relative;
}

.dropdownBox .dropdown.front .dropdownCon .depth2 ul.depth3 {
  position: absolute;
  top: 0;
  right: -100%;
  min-width: 15.625rem;
  background: var(--Greyscale0);
  visibility: hidden;
  opacity: 0;
  z-index: 1;
}

.dropdownBox .dropdown.front .dropdownCon .depth2:hover ul.depth3 {
  opacity: 1;
  visibility: visible;
}

/* -------------------- Dropdown end -------------------- */

/* -------------------- Accordion -------------------- */

.accordion {
  border-bottom: 0.0625rem solid var(--Greyscale5);
}

.accordion.lineBox {
  padding: 0.5rem 1rem;
  background: #fff;
  border: 0.0625rem solid var(--Greyscale5);
}

.accordion .accordionItem {
  overflow: hidden;
}

.accordion .accordionItem .accordionHeader {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  padding: 0.75rem 1rem;
  width: 100%;
  background-color: #fff;
  border-top: 0.0625rem solid var(--Greyscale5);
  cursor: pointer;
  transition: 0.4s;
}

.accordion.lineBox .accordionItem:first-child .accordionHeader {
  border-top: none;
}

.accordion .accordionItem .accordionHeader .accordionIcon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.75rem;
  height: 1.75rem;
  border-radius: 50%;
  transition: all 0.3s;
}

.accordion .accordionItem .accordionHeader.show .accordionIcon {
  transform: rotate(180deg);
}

.accordion .accordionItem .accordionContent {
  display: none;
  padding: 0.75rem 1rem;
  /* max-height: 0; */
  background: #fff;
  overflow: hidden;
  transition: max-height ease-out 0.3s;
  word-break: keep-all;
  word-wrap: break-word;
}

.accordion .accordionItem .accordionHeader.show ~ .accordionContent {
  display: block;
}

/* -------------------- Accordion end -------------------- */

/* -------------------- Detail Summary -------------------- */

details {
  margin-top: 0.75rem;
  border: 0.0625rem solid var(--Greyscale5);
}

details summary {
  padding: 0.75rem 1rem;
}

details[open] summary {
  padding-bottom: 0.75rem;
  border-bottom: 0.0625rem solid var(--Greyscale5);
}

details .contentBox {
  padding: 0.75rem 1rem;
}

/* -------------------- Detail Summary end -------------------- */

/* -------------------- Table -------------------- */

.tableBox {
  border: 1px solid var(--Greyscale4);
}

table.board {
  width: 100%;
  table-layout: fixed;
}

table.board thead tr th {
  position: relative;
  padding: 0.75rem;
  color: var(--Greyscale9);
  font-size: 1rem;
  font-weight: 700;
}

table.board thead th::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  width: 0.0625rem;
  height: 1.25rem;
  background-color: var(--Greyscale4);
}

table.board thead th:last-child::after {
  display: none;
}

table.board tbody tr {
  border-top: 0.0625rem solid var(--Greyscale4);
}

table.board tbody tr td {
  padding: 0.75rem;
  width: 100%;
  text-align: center;
  box-sizing: border-box;
}

/* table.board tbody tr td.link {
    text-align: left;
} */

table.board tbody tr td.link {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

table.board tbody tr td.link a {
  color: var(--Greyscale9);
}

table.board thead tr.txtColor th {
  color: var(--Primary1);
}

table.board thead.grayBg {
  background: var(--Greyscale2);
}

table.board thead.primaryBg {
  background: var(--Primary1);
}

table.board thead.primaryBg tr th {
  color: #fff;
}

table.board thead > tr th.number,
table.board tbody > tr td.number {
  width: 3.5rem;
}

table.board thead > tr th.iconBtn,
table.board tbody > tr td.iconBtn {
  width: 2.25rem;
}

table.board thead > tr th.iconBtn img,
table.board tbody > tr td.iconBtn img {
  width: 1.5rem;
  height: 1.5rem;
}

table.board tbody > tr td.iconBtn > .dropdown.kebab {
  min-width: fit-content;
}

table.board tbody > tr td.iconBtn > .dropdown a.dropdownBtn {
  background: transparent;
}

table.board tbody > tr td.iconBtn > .dropdown.kebab .dropdownCon {
  top: 0;
  left: -6.875rem;
  min-width: 6.25rem;
}

@media (max-width: 640px) {
  table.board {font-size: 17px;}
  table.board > thead {
    display: none;
  }
  table.board > tbody tr {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: 0.0625rem solid var(--Greyscale4);
    gap: 10px;
    padding: 20px;
  }
  table.board > tbody tr:first-child {
    border-top: 0.0625rem solid var(--Greyscale4);
  }
  table.board > tbody tr td {
    text-align: left;
    width: 100%;
    padding: 0;
  }
  table.board tbody > tr td.tit a{
    font-size: 18px !important;
    font-weight: 600 !important;
  }
  table.board > tbody tr td.mViewnone {
    display: none;
  }

  table.board tbody > tr td.number,
  table.board thead > tr th.iconBtn {
    width: 100%;
  }

  table tbody > tr td.iconBtn > .dropdown.kebab .dropdownCon {
    top: 0;
    left: 1.625rem;
    min-width: 6.25rem;
  }
}

/* -------------------- Table end -------------------- */

/* -------------------- Tab -------------------- */

.tab {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}

.tab.bLine {
  border-bottom: 0.125rem solid var(--Greyscale4);
}

.tabBtn {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50%;
}

.tabBtn a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: 0.625rem;
  color: var(--Greyscale5);
  font-size: 1rem;
  font-weight: 500;
}

.tab.bLine .tabBtn.active::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -0.125rem;
  width: 100%;
  height: 0.125rem;
  background: var(--Primary1);
}

.tab.bLine .tabBtn.active a {
  color: var(--Greyscale9);
  font-weight: 700;
}

.tabConItem {
  display: none;
  margin-top: 1rem;
}

.tabConItem.active {
  display: block;
}

.tab.line {
  border: 0.0625rem solid var(--Primary1);
  border-radius: 0.25rem;
}

.tab.line .tabBtn {
  border-right: 0.0625rem solid var(--Primary1);
}

.tab.line .tabBtn:last-child {
  border-right: none;
}

.tab.line .tabBtn.active {
  background: var(--Primary1);
}

.tab.line .tabBtn.active a {
  color: #fff;
  font-weight: 700;
}

.tab.fullBox .tabBtn.active {
  background: var(--Primary1);
  border-radius: 0.25rem;
}

.tab.fullBox .tabBtn.active a {
  color: #fff;
  font-weight: 700;
}

/* -------------------- Tab end -------------------- */

/* -------------------- Slide -------------------- */

.slideWrap .slideList,
.slideWrap02 .slideList,
.slideWrap03 .slideList,
.slideWrap04 .slideList,
.slideWrap05 .slideList {
  width: 100%;
  height: 18.75rem;
}

.slideWrap .slideList .slick-list,
.slideWrap02 .slideList .slick-list,
.slideWrap03 .slideList .slick-list,
.slideWrap04 .slideList .slick-list,
.slideWrap05 .slideList .slick-list {
  width: 100%;
  height: 100%;
}

.slideWrap .slideList .slick-track,
.slideWrap02 .slideList .slick-track,
.slideWrap03 .slideList .slick-track,
.slideWrap04 .slideList .slick-track,
.slideWrap05 .slideList .slick-track {
  height: 100%;
}

.slideWrap .slideList a.slideBox,
.slideWrap02 .slideList a.slideBox,
.slideWrap03 .slideList a.slideBox,
.slideWrap04 .slideList a.slideBox,
.slideWrap05 .slideList a.slideBox {
  display: block;
}

.slideWrap .slideList a.slideBox img,
.slideWrap02 .slideList a.slideBox img,
.slideWrap03 .slideList a.slideBox img,
.slideWrap04 .slideList a.slideBox img,
.slideWrap05 .slideList a.slideBox img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.controlBox {
  margin-top: 0.5rem;
}

.slideWrap .controlBox .sliderDots ul {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 0.5rem;
}

.controlBox .sliderDots ul li button {
  background: var(--Greyscale4);
  width: 1.5rem;
  height: 0.125rem;
  font-size: 0;
  cursor: pointer;
}

.controller button {
  font-size: 0;
  cursor: pointer;
}

.controlBox .sliderDots ul li.slick-active button {
  background: var(--Primary1);
}

.slick-arrow.slick-disabled img {
  opacity: 0.5;
}

.slideWrap02,
.slideWrap03,
.slideWrap04,
.slideWrap05 {
  position: relative;
}

.slideWrap02 .controlBox {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
}

.controlBox .controller {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.slideWrap03 .controlBox {
  position: absolute;
  top: -0.9375rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  gap: 0.25rem;
  width: 100%;
}

.slideWrap03 .controlBox .controller button {
  display: inline-block;
  font-size: 0;
}

.slideWrap03 .controlBox .controller button.play {
  display: none;
}

.slideWrap03 .slideList .slick-track {
  margin-top: 20px;
}

.paging {
  font-size: 0;
}

.paging > span {
  color: var(--Greyscale6);
  font-size: 0.75rem;
}

.paging > .this {
  color: var(--Greyscale6);
  opacity: 1;
}

.paging > .this::after {
  margin: 0 0.3125rem;
  content: "/";
  display: inline-block;
  color: var(--Greyscale6);
}

.slideWrap04 .controlBox {
  margin: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
}

.slideWrap04 .paging {
  position: absolute;
  right: 0.75rem;
  bottom: 0.75rem;
  padding: 0.375rem 0.75rem;
  width: fit-content;
  background: rgba(41, 42, 43, 0.5);
  border-radius: 1.25rem;
}

.slideWrap04 .paging span,
.slideWrap04 .paging > .this::after {
  color: #fff;
}

.slideWrap04 .controlBox .controller button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.25rem;
  height: 2.25rem;
  background: #fff;
  border-radius: 3.125rem;
  box-shadow: 0px 0px 0.625rem 0px rgba(0, 0, 0, 0.15);
}

.slideWrap04 .controlBox .controller button.prev {
  position: relative;
  left: -1.125rem;
}

.slideWrap04 .controlBox .controller button.next {
  position: relative;
  right: -1.125rem;
}

.slideWrap05 .controlBox {
  margin: 0;
  position: absolute;
  right: 0.75rem;
  bottom: 0.75rem;
}

.slideWrap05 .slick-dots {
  position: absolute;
  right: 5.9375rem;
  bottom: 1.375rem;
  padding: 0;
  margin: 0;
  width: 12.5rem;
  height: 0.125rem;
  background: #fff;
}

.slideWrap05 .slick-dots li button {
  display: none;
}

.slideWrap05 .slick-dots li {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 0.125rem;
  background: var(--Primary1);
}

.slideWrap05 .slick-dots li.slick-active {
  width: 100%;
  animation: ProgressDots 3s both;
}

@keyframes ProgressDots {
  from {
    width: 0px;
  }

  to {
    width: 100%;
  }
}

/* -------------------- Slide end -------------------- */

/* -------------------- Filter / Tags / Rating -------------------- */

.filterBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 0.5rem;
}

.filterBox .filterItem input[type="checkbox"],
.filterBox .filterItem label img.on {
  display: none;
}

.filterBox .filterItem input[type="checkbox"] + label {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  height: 2.25rem;
  color: var(--Greyscale6);
  font-size: 1rem;
  font-weight: 400;
  background: #fff;
  outline: 0.0625rem solid var(--Greyscale6);
  border-radius: 0.25rem;
  cursor: pointer;
}

.filterBox .filterItem input[type="checkbox"]:checked + label {
  color: var(--Primary1);
  outline: 0.125rem solid var(--Primary1);
}

.filterBox .filterItem input[type="checkbox"]:checked + label img.on {
  display: block;
  width: 1.5rem;
  height: 1.5rem;
}

.tagBox {
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 0.5rem;
}

.tagBox .tagItem {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  padding: 0.5rem 0.5rem 0.5rem 1rem;
  background: var(--Primary-light);
  border: 0.0625rem solid var(--Primary1);
  border-radius: 1.25rem;
}

.tagBox .tagItem p {
  color: var(--Primary-dark);
  text-align: center;
}

.tagBox .tagItem a {
  display: block;
}

.tagBox .tagItem.line {
  background: #fff;
  outline: 0.125rem solid var(--Primary1);
}

.ratingWrap {
  width: 100%;
}

.ratingBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
}

.ratingBox .ratingItem {
  color: var(--Greyscale5);
  font-size: 1.5625rem;
  transition: color 0.3s linear;
  cursor: pointer;
}

.marked {
  color: var(--Primary1) !important;
}

.ratingBox .ratingCount {
  padding-top: 0.4375rem;
  color: var(--Greyscale9);
  font-size: 1rem;
  font-weight: 600;
}

/* -------------------- Filter / Tags / Rating end -------------------- */

/* -------------------- Indicator / Progress Bar -------------------- */

#indicator.circle {
  display: block;
  width: 3.125rem;
  height: 3.125rem;
  border: 0.1875rem solid var(--Primary-light);
  border-radius: 50%;
  border-top-color: var(--Primary1);
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}

.progress {
  width: 100%;
  height: 0.25rem;
}

.progressWrap {
  background: var(--Primary1);
  margin: 1.25rem 0;
  overflow: hidden;
  position: relative;
}

.progressBar {
  background: var(--Primary-light);
  left: 0;
  position: absolute;
  top: 0;
}

/* -------------------- Indicator / Progress Bar end -------------------- */

/* -------------------- Steper -------------------- */

.stepperBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: wrap;
}

.stepperBox .stepperItem {
  flex: 1;
  display: flex;
  flex-direction: column;
  text-align: center;
}

.stepperBox .stepperItem::before {
  content: "";
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.5rem;
  height: 1.5rem;
  color: #fff;
  font-size: 1rem;
  font-weight: 700;
  background: var(--Greyscale5);
  border-radius: 3.125rem;
  z-index: 1;
  flex-shrink: 0;
}

.stepperBox .stepperItem:nth-child(1):before {
  content: "1" !important;
}

.stepperBox .stepperItem:nth-child(2):before {
  content: "2" !important;
}

.stepperBox .stepperItem:nth-child(3):before {
  content: "3" !important;
}

.stepperBox .stepperItem:nth-child(4):before {
  content: "4" !important;
}

.stepperBox .stepperItem:not(:last-child)::after {
  content: "";
  position: relative;
  top: 0.75rem;
  left: calc(50% + 0.75rem + 1rem);
  width: calc(100% - 1.5rem - 2rem);
  height: 0.0625rem;
  background: var(--Greyscale5);
  order: -1;
}

.stepperBox .stepperItem p.stepperTit {
  margin-top: 0.5rem;
  color: var(--Greyscale5);
  font-weight: 400;
}

.stepperBox .stepperItem.on::before {
  background: var(--Primary1);
}

.stepperBox .stepperItem.on p.stepperTit {
  color: var(--Greyscale9);
  font-weight: 700;
}

.stepperBox.horizontal .stepperItem,
.stepperBox.vertical .stepperItem {
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}

.stepperBox.horizontal .stepperItem::before,
.stepperBox.vertical .stepperItem::before {
  margin: 0;
}

.stepperBox.horizontal > .stepperItem:not(:last-child) {
  flex: 1;
}

.stepperBox.horizontal > .stepperItem:not(:last-child)::after {
  flex: 1;
  margin-inline-end: 1rem;
  display: block;
  position: unset;
  width: unset;
  order: unset;
}

.stepperBox.horizontal .stepperItem p.stepperTit,
.stepperBox.vertical .stepperItem p.stepperTit {
  margin-top: 0;
}

.stepperBox.vertical {
  flex-direction: column;
  align-items: flex-start;
}

.stepperBox.vertical .stepperItem {
  position: relative;
  padding-bottom: 3.75rem;
  width: 100%;
}

.stepperBox.vertical > .stepperItem:not(:last-child)::after {
  content: "";
  position: absolute;
  top: calc(1.5rem + 0.5rem);
  left: 0;
  bottom: 0.5rem;
  transform: translateX(calc(1.5rem / 2));
  width: 0.0625rem;
  height: unset;
  background: var(--Greyscale5);
  /* z-index: -1; */
}

@media (max-width: 640px) {
  .stepperBox {
    flex-direction: column;
    align-items: flex-start;
    margin: 0 !important;
  }

  .stepperBox .stepperItem {
    position: relative;
    padding-bottom: 1.875rem;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
    width: 100%;
  }

  .stepperBox .stepperItem::before {
    margin: unset;
  }

  .stepperBox .stepperItem p.stepperTit {
    margin-top: 0;
  }

  .stepperBox > .stepperItem:not(:last-child)::after,
  .stepperBox.horizontal > .stepperItem:not(:last-child)::after {
    content: "";
    position: absolute;
    top: calc(1.5rem + 0.5rem);
    left: 0;
    bottom: 0.5rem;
    transform: translateX(calc(1.5rem / 2));
    width: 0.0625rem;
    height: unset;
    background: var(--Greyscale5);
    z-index: -1;
  }
}

/* -------------------- Steper end -------------------- */

/* -------------------- Tooltip -------------------- */

.toolTipItem {
  position: relative;
  display: inline-block;
}

.toolTipItem p.titTxt {
  border-bottom: 0.0625rem solid var(--Greyscale4);
  cursor: pointer;
}

.toolTipItem .toolTipTxt {
  position: absolute;
  padding: 0.5rem 1rem;
  min-width: 7.5rem;
  color: #fff;
  text-align: left;
  background: var(--Greyscale8);
  border-radius: 0.25rem;
  visibility: hidden;
  z-index: 1;
}

.toolTipItem:hover .toolTipTxt {
  visibility: visible;
}

.toolTipItem .toolTipTxt:after {
  content: "";
  position: absolute;
  border-width: 0.3125rem;
  border-style: solid;
}

.toolTip_top {
  left: 50%;
  bottom: 150%;
  transform: translateX(-50%);
}

.toolTip_top::after {
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  border-color: var(--Greyscale8) transparent transparent transparent;
}

.toolTip_bottom {
  top: 150%;
  left: 50%;
  transform: translateX(-50%);
}

.toolTip_bottom::after {
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  border-color: transparent transparent var(--Greyscale8) transparent;
}

.toolTip_right {
  top: -0.3125rem;
  left: 150%;
}

.toolTip_right::after {
  top: 50%;
  right: 100%;
  transform: translateY(-50%);
  border-color: transparent var(--Greyscale8) transparent transparent;
}

.toolTip_left {
  top: -0.5rem;
  right: 150%;
}

.toolTip_left::after {
  top: 50%;
  left: 100%;
  transform: translateY(-50%);
  border-color: transparent transparent transparent var(--Greyscale8);
}

/* -------------------- Tooltip end -------------------- */

/* -------------------- Modal(popup) -------------------- */

html.noScroll {
  overflow: hidden;
}

.popupWrap {
  display: none;
  height: 100%;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  box-sizing: border-box;
  z-index: 1000;
  overflow: hidden;
  @supports (-webkit-appearance: none) {
    height: calc(var(--vh, 1vh) * 100);
  }
}

.popupWrap.on {
  display: block;
}

.popupWrap::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.45);
  z-index: -1;
}

.popupWrap .popupInner {
  padding: 1.5rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 1200px;
  min-width: 15.625rem;
  max-height: 80%;
  background-color: #fff;
  border-radius: 0.25rem;
  overflow-y: auto;
}

.popupWrap .popupInner .popupTop {
  margin-bottom: 1rem;
  width: 100%;
}

.popupWrap .popupInner .popupTop.imgTop {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.popupWrap .popupInner .popupTop.imgTop > img {
  width: 10rem;
  height: 10rem;
}

.popupWrap .popupInner .popupTop > h4 {
  color: var(--Greyscale9);
  font-size: 1.25rem;
  font-weight: 600;
  text-align: center;
}

.popupWrap .popupInner .popupCon > p {
  color: var(--Greyscale7);
  font-size: 1rem;
  font-weight: 400;
  text-align: center;
}

.popupWrap .popupInner .popupFotter {
  margin-top: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
}

.popupWrap .popupInner .popupFotter.rowBox {
  flex-direction: row;
  flex-wrap: nowrap;
}

.popupWrap .popupInner .popupFotter.colBox {
  flex-direction: column-reverse;
}

.popupWrap .popupInner .popupFotter > a {
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  font-weight: 600;
}

.popupWrap .popupInner .popupFotter.rowBox > a {
  width: calc(100% / 2 - 0.5rem);
  border: 0.0625rem solid var(--Primary1);
}

.popupWrap .popupInner .popupFotter > a.line {
  color: var(--Greyscale9);
}

@media (max-width: 640px) {
  .popupWrap .popupInner {
    max-width: 50%;
  }
}

/* Modal(popup) Temporary script */
.popupWrap .popupInner.popup01,
.popupWrap .popupInner.popup02,
.popupWrap .popupInner.popup03,
.popupWrap .popupInner.popup04 {
  display: none;
}

.popupWrap .popupInner.popup01.on,
.popupWrap .popupInner.popup02.on,
.popupWrap .popupInner.popup03.on,
.popupWrap .popupInner.popup04.on {
  display: block !important;
}

/* -------------------- Modal(popup) end -------------------- */

/* -------------------- Detail page input style -------------------- */

.dtpgBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
  width: 100%;
  border-bottom: 1px solid var(--Greyscale4);
}

p.inputDtpg {
  padding: 0.625rem 0;
  width: 100%;
}

p.inputDtpg.file {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

p.inputDtpg > a.link {
  display: block;
  width: fit-content;
  color: var(--Primary);
}

.dtpgBox > .btnBox {
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
}

.textareaBox {
  width: 100%;
}

p.textAreaDtpg {
  padding: 0.625rem 0;
  width: 100%;
  white-space: pre-wrap;
  word-break: break-all;
}

/* -------------------- Detail page input style end -------------------- */

/* 파일첨부 */
.input-file {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem;
  width: 100%;
  font-size: 0;
  cursor: pointer;
}
.input-file [type="file"] {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0 none;
}
.input-file .file-label {
  display: inline-block;
  flex-shrink: 0;
  padding: 0.75rem 0.875rem;
  width: 7.5rem;
  color: #fff;
  font-size: 1rem;
  font-weight: 500;
  text-align: center;
  background: var(--Primary1);
  border: 0.0625rem solid var(--Primary1);
  border-radius: 0.5rem;
}
.input-file .file-name {
  flex-grow: 1;
  display: inline-block;
  padding: 0.75rem 0.875rem;
  width: 100%;
  color: var(--Greyscale6);
  font-size: 1rem;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  background: #fff;
  border: 0.0625rem solid var(--Greyscale4);
  border-radius: 0.5rem;
}
.file-focus {
  outline: 2px solid var(--Greyscale8);
}
.input-file.inLine {
  gap:0;
}
.input-file.inLine .file-name{
  border-radius: 0.5rem 0 0 0.5rem;
}
.input-file.inLine .file-label{
  border-radius:0 0.25rem 0.25rem 0;
}


/* 셀렉트박스 */
.form-select{
  -webkit-tap-highlight-color: transparent;
  background-color: #fff;
  border-radius: 0.5rem;
  border: solid 1px var(--Greyscale4);
  box-sizing: border-box;
  clear: both;
  cursor: pointer;
  display: block;
  float: left;
  font-family: inherit;
  font-weight: normal;
  outline: none;
  position: relative;
  text-align: left !important;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: auto;
  min-width: 250px;
  padding: 13px 19px;
  padding-right: 40px;  
  -webkit-appearance: none;
  -moz-appearance: none;    
  appearance: none;         
  background: url(../assets/icon/Basic_Icon/Select_arrow2.png) right center no-repeat;  
}
.form-select:focus {
  outline: auto;
}
.form-select:disabled {
  cursor: inherit;
  opacity: 0.6;
}


/******************** 반응형 ********************/
@media (max-width: 640px) {
  .form-select{
    min-width: inherit;
  }
}